Bug 25011 - cleanup_spec: удалять флаг "-q" у конструкции %setup
: cleanup_spec: удалять флаг "-q" у конструкции %setup
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-utils)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
: http://www.altlinux.org/Spec#.25setup
:
:
:
  Show dependency tree
 
Reported: 2011-02-02 16:31 by
Modified: 2011-04-02 16:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-02-02 16:31:07
Конструкция %setup в Sisyphus RPM использует флаг -q (quiet) по умолчанию.
Может ее удалять утилитой cleanup_spec?
------- Comment #1 From 2011-04-02 16:23:06 -------
rpm-utils-0.9.13-alt1 -> sisyphus:

* Fri Apr 01 2011 Dmitry V. Levin <ldv@altlinux> 0.9.13-alt1
- cleanup_spec: strip -q from %setup (closes: #25011).
- add_changelog: pass --args to all "rpm -q --qf" invocations (closes: #22346).
- buildreq: added --no-pruned option, enabled --pruned y default.
- stamp_spec, add_changelog, packagereq, buildreq: fixed quoting
  using shell-quote.